:root {
  --background-color: #202020;
  --text-color: #f7f7f7;
  --second-backgroundcolor: #f5f4f8;
  --active-link-color: rgb(227, 162, 230);
}

body {
  font-family: Montserrat;
  background-color: var(--background-color);
  background-image: url(../images/mob-bacgr.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  background-attachment: fixed;
}
html,
body {
  height: 100%;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0;
  margin-bottom: 0;
}
ul,
ol {
  margin-top: 0;
  margin-bottom: 0;
  margin-left: 0;
  padding: 0;
  list-style: none;
}
img {
  display: block;
  max-width: 100%;
}
main {
}

header {
  box-shadow: 0px 11px 10px -11px rgba(243, 189, 243, 0.64);
  border-bottom: 1px solid rgba(68, 31, 54, 0.64);
}
.no-sctoll {
  overflow: hidden;
  flex-grow: 1;
}

.link {
  text-decoration: none;
}
.list {
  list-style: none;
}
.page {
  display: flex;
  flex-direction: column;
  min-height: 100%;
  position: relative;
}

.container {
  min-width: 320px;
  max-width: 430px;
  width: 100%;
  padding-right: 20px;
  padding-left: 20px;
  margin: 0 auto;
}

.seagull-logo {
  display: block;
  width: 45px;
  height: 45px;
  fill: var(--second-backgroundcolor);
  padding: 5px;
  z-index: 2;
}

.logo-link {
  border-radius: 50%;
  transition: box-shadow 350ms cubic-bezier(0.4, 1, 0.2, 1);
}
.logo-link:hover {
  box-shadow: 0px 0px 7px 0px #ece8f2;
}
.hamburder-btn {
  border: none;
  background-color: inherit;
  transition: transform 350ms cubic-bezier(0.4, 1, 0.2, 1);
}

.hamburder-btn .humburger-svg:hover,
.hamburder-btn .humburger-svg:focus {
  fill: var(--active-link-color);
}

.humburger-svg {
  fill: var(--text-color);
  transition: transform 350ms cubic-bezier(0.4, 1, 0.2, 1);
}

.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.main-section {
  display: flex;
  justify-content: center;

  flex-direction: column;
}
.direction-main {
  display: flex;
  flex-direction: column;
}
.main-section:not(:last-child) {
  gap: 30px;
}
.nav-menu {
  display: none;
}

.mob-menu {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background-color: var(--second-backgroundcolor);
  box-shadow: 0px 1px 6px 0px rgba(46, 47, 66, 0.08),
    0px 1px 1px 0px rgba(46, 47, 66, 0.16),
    0px 2px 1px 0px rgba(46, 47, 66, 0.08);
  width: 60%;
  max-width: 280px;
  height: 60%;
  top: 70px;
  right: 20px;

  z-index: 3;
  border-radius: 20px 0 20px 20px;
  transition: opacity 250ms cubic-bezier(0.4, 0, 0.2, 1),
    visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.is-hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.close-menu-button {
  display: flex;
  position: absolute;
  cursor: pointer;
  top: 15px;
  right: 15px;
  border-radius: 50%;
  justify-content: center;
  background-color: transparent;
  align-items: center;
  width: 24px;
  height: 24px;
  padding: 0;
  fill: var(--background-color);
  border: none;
}
.close-menu-button .menu-button-svg:hover,
.close-menu-button .menu-button-svg:active {
  width: 5px;
  height: 5px;
}

.mob-menu-list {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin: auto;
  margin-top: 40px;
}
.mob-active-item::before {
  content: "-";
}

.mob-menu-items {
  display: block;
  color: #4b0252;
  font-size: 25px;
  font-weight: 700;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: center;
  padding-left: 10px;
  padding-right: 10px;
}
.mob-menu-items:hover {
  color: var(--active-link-color);
  box-shadow: 1px -2px 37px 5px var(--active-link-color);
  border-radius: 30px;
}
.modal-contacts {
  display: flex;
  gap: 50px;
  align-items: center;
  margin: 0 auto;
  padding-bottom: 25px;
}

.phone-modal-svg {
  fill: var(--background-color);
  transition: fill 150ms cubic-bezier(0.4, 0, 0.2, 1),
    width 150ms cubic-bezier(0.4, 0, 0.2, 1),
    height 150ms cubic-bezier(0.4, 0, 0.2, 1);
}

.mail-modal-svg {
  fill: var(--background-color);
  transition: fill 150ms cubic-bezier(0.4, 0, 0.2, 1),
    width 150ms cubic-bezier(0.4, 0, 0.2, 1),
    height 150ms cubic-bezier(0.4, 0, 0.2, 1);
}

.phone-modal-svg:hover,
.phone-modal-svg:focus {
  fill: var(--active-link-color);
  width: 35px;
  height: 35px;
}

.mail-modal-svg:hover,
.mail-modal-svg:focus {
  fill: var(--active-link-color);
  width: 35px;
  height: 35px;
}
.main-container {
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
  justify-content: center;

  flex-direction: column;
  min-height: 100%;
  position: relative;
}
.main-title-wrap {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-bottom: 15px;
}
.title {
  display: block;
  color: var(--text-color);
  padding-top: 20px;
  font-size: 25px;
  font-weight: 700;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: right;
}
.hero-text {
  display: block;
  color: var(--text-color);

  font-size: 15px;
  font-weight: 700;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: right;
}
.helo-little-text {
  display: block;
  color: var(--text-color);

  font-size: 10px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: right;
}

.my-photo {
  display: block;
  margin-top: 20px;
  border-radius: 50%;

  background-color: rgba(207, 192, 221, 0.685);
  border: 2px solid rgb(235, 231, 236);
  box-shadow: 1px -2px 37px 5px #ece8f2;
}

.skills {
  display: flex;
  flex-direction: column;
  margin: auto;
  gap: 35px;
}
.skills-title {
  display: block;
  color: var(--text-color);
  font-size: 20px;
  text-align: center;
  margin-bottom: 5px;
}

.skills-list {
  color: var(--text-color);
  font-size: 14px;
}
.hard-skills {
  display: flex;
  flex-wrap: wrap;
  gap: 17px;
  justify-content: center;
  align-items: center;
}
.git-svg {
  fill: var(--text-color);
}
.node-svg {
  fill: rgb(44, 247, 44);
}
.soft-skills {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  justify-content: center;
  align-items: center;
}
.skills-text {
  display: none;
}

.soft-iteam {
  display: flex;
  justify-content: center;
  position: relative;
}
.soft-down-svg {
  position: absolute;
  top: -2px;
  left: 0;
  fill: var(--text-color);
}
.soft-text {
  padding-left: 18px;
  justify-content: end;
}
.footer-container {
  display: flex;

  justify-content: center;
  margin-bottom: 30px;
}
.button-section {
  display: flex;
  align-items: center;
  justify-content: center;
}

.footer-text {
  display: none;
  color: var(--text-color);
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: start;
}
.footer-social-icons {
  display: flex;
  gap: 16px;
  justify-content: center;
  margin: 0 auto;
}
.fooer-soc-ico-iteam {
  width: 40px;
  height: 40px;
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1),
    width 500ms cubic-bezier(0.4, 0, 0.2, 1),
    height 500ms cubic-bezier(0.4, 0, 0.2, 1);
  cursor: pointer;
}

.footer-soc-link {
  display: flex;
  width: 100%;
  height: 100%;

  border-radius: 50%;
  align-items: center;
  justify-content: center;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.footer-svg {
  fill: var(--text-color);
  transition: fill 150ms cubic-bezier(0.4, 0, 0.2, 1),
    width 150ms cubic-bezier(0.4, 0, 0.2, 1),
    height 150ms cubic-bezier(0.4, 0, 0.2, 1);
}

.fooer-soc-ico-iteam .footer-svg:hover,
.fooer-soc-ico-iteam .footer-svg:focus,
.fooer-soc-ico-iteam .footer-svg:active {
  fill: var(--active-link-color);
  width: 35px;
  height: 35px;
}
.footer-contacts {
  display: none;
}

.text-about {
  display: inline-flex;
  text-align: justify;
  color: var(--text-color);
  cursor: pointer;
  margin-left: 10px;
  font-size: 16px;
  border: none;
  margin-top: 10px;
}
.u-color {
  color: yellow;
}
.a-color {
  color: blue;
}
.p-color {
  color: white;
}
.l-color {
  color: red;
}

.about-me-photo {
  display: none;
}
.education-section {
  margin-top: 20px;
}
.education-list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.education-iteam {
}

.edu-link {
  color: var(--text-color);
}
.year {
  color: var(--text-color);
  margin-top: 10px;
  font-size: 14px;
}
.exp-section {
  margin-top: 20px;
}
.exp-list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.exp-iteam {
}

.exp-link {
  color: var(--text-color);
}

.print-button {
  display: block;
  font-family: "Monserat", sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.04em;
  text-align: center;
  background-color: #4de5b2;
  color: #ffffff;
  cursor: pointer;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  margin: 0 auto;
  min-width: 160px;
  height: 56px;
  border: none;
  border-radius: 10px;
}
.button-section {
  flex: 1;
}
